API Explorer 1 endpoints

Set Rate Limits / Call Limits per Consumer

PUT /obp/v7.0.0/management/consumers/CONSUMER_ID/consumer/call-limits

OBPv4.0.0-callsLimit Roles: CanUpdateRateLimits ConsumerRate-Limits

Set the API rate limits / call limits for a Consumer:

Rate limiting can be set:

Per Second Per Minute Per Hour Per Week Per Month

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (8)
from_date
1100-01-01T01:01:01.000Z
per_day_call_limit
per_hour_call_limit
per_minute_call_limit
per_month_call_limit
per_second_call_limit
10
per_week_call_limit
to_date
1100-01-01T01:01:01.000Z
Example request body
{
  "from_date": "1100-01-01T00:00:00Z",
  "to_date": "1100-01-01T00:00:00Z",
  "per_second_call_limit": "-1",
  "per_minute_call_limit": "-1",
  "per_hour_call_limit": "-1",
  "per_day_call_limit": "-1",
  "per_week_call_limit": "-1",
  "per_month_call_limit": "-1"
}
Example success response
{
  "from_date": "1100-01-01T00:00:00Z",
  "to_date": "1100-01-01T00:00:00Z",
  "per_second_call_limit": "-1",
  "per_minute_call_limit": "-1",
  "per_hour_call_limit": "-1",
  "per_day_call_limit": "-1",
  "per_week_call_limit": "-1",
  "per_month_call_limit": "-1"
}
Possible errors (7)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-20014: Invalid Consumer ID. Please specify a valid value for CONSUMER_ID.
  • OBP-30019: Consumer not found. Please specify a valid value for CONSUMER_ID.
  • OBP-20006: User is missing one or more roles:
  • OBP-30023: Cannot update Consumer
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 callsLimit Originally /obp/v4.0.0/management/consumers/CONSUMER_ID/consumer/call-limits